Build:
  1. 0
2022-09-26 12:39.21: New job: Build using linux-x86_64 in
                                [https://github.com/mirage/mirage-skeleton.git#refs/heads/main (9fba1271e74e29e53c0474edd26bf284eb985ae3)]

OBuilder spec:

((from ocaml/opam:debian-10-ocaml-4.13)
 (user (uid 1000) (gid 1000))
 (workdir /home/opam)
 (run (shell "sudo chown opam:opam /home/opam"))
 (run (shell "sudo ln -f /usr/bin/opam-2.1 /usr/bin/opam && opam update"))
 (run (network host)
      (shell "opam repo add opam https://github.com/ocaml/opam-repository.git#d079370f3d78e090f895b3270d17398d88ed83d4"))
 (run (network host)
      (shell "opam repo add mirage-dev https://github.com/mirage/mirage-dev.git#842c55556ffd0950d21141d6ab99e52a8d88a50f"))
 (run (network host)
      (shell "opam pin -ny https://github.com/mirage/mirage.git#fc13da4fe27419bb15792803e46defd76a6cc0da"))
 (run (cache (download-cache (target /home/opam/.opam/download-cache)))
      (network host)
      (shell "sudo apt-get update && opam install -y \"mirage>=4\""))
 (copy (src .) (dst /src/))
 (env MODE xen)
 (workdir /src/)
 (run (shell "opam exec -- make configure"))
 (env MIRAGE_EXTRA_REPOS opam-overlays:https://github.com/dune-universe/opam-overlays.git#c8f6ef0fc5272f254df4a971a47de7848cc1c8a4,mirage-opam-overlays:https://github.com/dune-universe/mirage-opam-overlays.git#05f1c1823d891ce4d8adab91f5db3ac51d86dc0b)
 (run (network host)
      (shell "opam exec -- make lock"))
 (run (cache (download-cache (target /home/opam/.opam/download-cache)))
      (network host)
      (shell "sudo apt-get update && opam exec -- make depends"))
 (run (shell "opam monorepo list -l mirage.opam.locked"))
 (run (cache (download-cache (target /home/opam/.opam/download-cache)))
      (network host)
      (shell "opam exec -- make pull"))
 (env DUNE_CACHE enabled)
 (env DUNE_CACHE_TRANSPORT direct)
 (run (cache (dune-build-cache (target /home/opam/.cache/dune)))
      (network host)
      (shell "opam exec -- make build"))
)

2022-09-26 12:39.21: Using cache hint "mirage-ci-skeleton-debian-10-ocaml-4.13"
2022-09-26 12:39.21: Waiting for resource in pool OCluster
2022-09-26 12:39.21: Waiting for worker...
2022-09-26 12:39.21: Got resource from pool OCluster
Building on laodoke.ocamllabs.io
All commits already cached
HEAD is now at 9fba127 Merge pull request #346 from reynir/Mirage_block.pp_info

(from ocaml/opam:debian-10-ocaml-4.13)
2022-09-26 12:39.21 ---> using "cbba9511e46ef57631453d5b88aeed1ed6de6fa87b6f0dcb3da9328657d73fa4" from cache

/: (user (uid 1000) (gid 1000))

/: (workdir /home/opam)

/home/opam: (run (shell "sudo chown opam:opam /home/opam"))
2022-09-26 12:39.21 ---> using "0afede13af6ea6d75cbfcfb80353059bc4fd4eea40a723ef627f0c4946f2e079" from cache

/home/opam: (run (shell "sudo ln -f /usr/bin/opam-2.1 /usr/bin/opam && opam update"))
This version of opam requires an update to the layout of /home/opam/.opam from version 2.0 to version 2.1, which can't be reverted.
You may want to back it up before going further.

Continue? [Y/n] y
Format upgrade done.

<><> Updating package repositories ><><><><><><><><><><><><><><><><><><><><><><>
[default] synchronised from file:///home/opam/opam-repository
2022-09-26 12:39.21 ---> using "88933084999984163bc104ca2978b0ba2b9c83ff33e4e30c3b6dae7cb5cde9bc" from cache

/home/opam: (run (network host)
                 (shell "opam repo add opam https://github.com/ocaml/opam-repository.git#d079370f3d78e090f895b3270d17398d88ed83d4"))
[opam] Initialised
[NOTE] Repository opam has been added to the selections of switch 4.13 only.
       Run `opam repository add opam --all-switches|--set-default' to use it in all existing switches, or in newly created switches, respectively.

2022-09-26 12:39.21 ---> using "75ccf24927e2216a56db514fd0ae532d5e8ec410daacaf22f1610aea5dda286f" from cache

/home/opam: (run (network host)
                 (shell "opam repo add mirage-dev https://github.com/mirage/mirage-dev.git#842c55556ffd0950d21141d6ab99e52a8d88a50f"))
[mirage-dev] Initialised
[NOTE] Repository mirage-dev has been added to the selections of switch 4.13 only.
       Run `opam repository add mirage-dev --all-switches|--set-default' to use it in all existing switches, or in newly created switches, respectively.

2022-09-26 12:39.21 ---> using "8b0e8bc11754f98971141a89521ed678ee1daaee5162807524f87b59c8092c9f" from cache

/home/opam: (run (network host)
                 (shell "opam pin -ny https://github.com/mirage/mirage.git#fc13da4fe27419bb15792803e46defd76a6cc0da"))
This will pin the following packages: functoria-runtime, functoria, mirage-runtime, mirage. Continue? [Y/n] y
functoria-runtime is now pinned to git+https://github.com/mirage/mirage.git#fc13da4fe27419bb15792803e46defd76a6cc0da (version 4.2.1)
functoria is now pinned to git+https://github.com/mirage/mirage.git#fc13da4fe27419bb15792803e46defd76a6cc0da (version 4.2.1)
mirage-runtime is now pinned to git+https://github.com/mirage/mirage.git#fc13da4fe27419bb15792803e46defd76a6cc0da (version 4.2.1)
mirage is now pinned to git+https://github.com/mirage/mirage.git#fc13da4fe27419bb15792803e46defd76a6cc0da (version 4.2.1)
2022-09-26 12:39.32 ---> saved as "4ca56cd53d3a6e2c0f837e7d92238633d0df9c008025ecd68fe29dfe8c2d39b8"

/home/opam: (run (cache (download-cache (target /home/opam/.opam/download-cache)))
                 (network host)
                 (shell "sudo apt-get update && opam install -y \"mirage>=4\""))
Get:1 http://deb.debian.org/debian buster InRelease [122 kB]
Get:2 http://deb.debian.org/debian-security buster/updates InRelease [34.8 kB]
Get:3 http://deb.debian.org/debian buster-updates InRelease [56.6 kB]
Get:4 http://deb.debian.org/debian buster/main amd64 Packages [7909 kB]
Get:5 http://deb.debian.org/debian-security buster/updates/main amd64 Packages [360 kB]
Fetched 8482 kB in 2s (3821 kB/s)
Reading package lists...

<><> Synchronising pinned packages ><><><><><><><><><><><><><><><><><><><><><><>
[mirage.4.2.1] synchronised (no changes)

The following actions will be performed:
  - install cmdliner           1.1.1  [required by functoria]
  - install ocamlbuild         0.14.1 [required by astring, bos]
  - install conf-pkg-config    2      [required by opam-monorepo]
  - install ocamlfind          1.9.5  [required by astring, bos]
  - install dune               3.4.1  [required by mirage]
  - install topkg              1.0.5  [required by astring, bos]
  - install base-bytes         base   [required by base64]
  - install stringext          1.6.0  [required by uri]
  - install result             1.5    [required by functoria]
  - install pecu               0.6    [required by emile]
  - install opam-monorepo      0.3.3  [required by mirage]
  - install ocaml-syntax-shims 1.0.0  [required by angstrom]
  - install macaddr            5.3.1  [required by ipaddr]
  - install domain-name        0.4.0  [required by ipaddr]
  - install csexp              1.5.1  [required by dune-configurator]
  - install cppo               1.6.9  [required by lwt]
  - install bigstringaf        0.9.0  [required by emile]
  - install uutf               1.0.3  [required by emile]
  - install rresult            0.7.0  [required by bos, functoria]
  - install fmt                0.9.0  [required by functoria, bos, mirage-runtime]
  - install astring            0.8.5  [required by mirage]
  - install base64             3.5.0  [required by emile]
  - install ipaddr             5.3.1  [required by mirage]
  - install dune-configurator  3.4.1  [required by lwt]
  - install ocplib-endian      1.2    [required by lwt]
  - install angstrom           0.15.0 [required by emile, uri]
  - install functoria-runtime  4.2.1* [required by mirage-runtime]
  - install fpath              0.7.3  [required by bos, functoria]
  - install lwt                5.6.1  [required by mirage-runtime]
  - install uri                4.2.0  [required by functoria]
  - install emile              1.1    [required by functoria]
  - install logs               0.7.0  [required by mirage]
  - install mirage-runtime     4.2.1* [required by mirage]
  - install bos                0.2.1  [required by mirage]
  - install functoria          4.2.1* [required by mirage]
  - install mirage             4.2.1*
===== 36 to install =====

The following system packages will first need to be installed:
    pkg-config

<><> Handling external dependencies <><><><><><><><><><><><><><><><><><><><><><>
Let opam run your package manager to install the required system packages?
(answer 'n' for other options) [Y/n] y
+ /usr/bin/sudo "apt-get" "install" "-qq" "-yy" "pkg-config"
- debconf: delaying package configuration, since apt-utils is not installed
- Selecting previously unselected package libglib2.0-0:amd64.
- (Reading database ... 
(Reading database ... 5%
(Reading database ... 10%
(Reading database ... 15%
(Reading database ... 20%
(Reading database ... 25%
(Reading database ... 30%
(Reading database ... 35%
(Reading database ... 40%
(Reading database ... 45%
(Reading database ... 50%
(Reading database ... 55%
(Reading database ... 60%
(Reading database ... 65%
(Reading database ... 70%
(Reading database ... 75%
(Reading database ... 80%
(Reading database ... 85%
(Reading database ... 90%
(Reading database ... 95%
(Reading database ... 100%
(Reading database ... 17391 files and directories currently installed.)
- Preparing to unpack .../0-libglib2.0-0_2.58.3-2+deb10u4_amd64.deb ...
- Unpacking libglib2.0-0:amd64 (2.58.3-2+deb10u4) ...
- Selecting previously unselected package libglib2.0-data.
- Preparing to unpack .../1-libglib2.0-data_2.58.3-2+deb10u4_all.deb ...
- Unpacking libglib2.0-data (2.58.3-2+deb10u4) ...
- Selecting previously unselected package libicu63:amd64.
- Preparing to unpack .../2-libicu63_63.1-6+deb10u3_amd64.deb ...
- Unpacking libicu63:amd64 (63.1-6+deb10u3) ...
- Selecting previously unselected package libxml2:amd64.
- Preparing to unpack .../3-libxml2_2.9.4+dfsg1-7+deb10u4_amd64.deb ...
- Unpacking libxml2:amd64 (2.9.4+dfsg1-7+deb10u4) ...
- Selecting previously unselected package pkg-config.
- Preparing to unpack .../4-pkg-config_0.29-6_amd64.deb ...
- Unpacking pkg-config (0.29-6) ...
- Selecting previously unselected package shared-mime-info.
- Preparing to unpack .../5-shared-mime-info_1.10-1_amd64.deb ...
- Unpacking shared-mime-info (1.10-1) ...
- Selecting previously unselected package xdg-user-dirs.
- Preparing to unpack .../6-xdg-user-dirs_0.17-2_amd64.deb ...
- Unpacking xdg-user-dirs (0.17-2) ...
- Setting up xdg-user-dirs (0.17-2) ...
- Setting up libglib2.0-0:amd64 (2.58.3-2+deb10u4) ...
- No schema files found: doing nothing.
- Setting up libicu63:amd64 (63.1-6+deb10u3) ...
- Setting up libglib2.0-data (2.58.3-2+deb10u4) ...
- Setting up pkg-config (0.29-6) ...
- Setting up libxml2:amd64 (2.9.4+dfsg1-7+deb10u4) ...
- Setting up shared-mime-info (1.10-1) ...
- Processing triggers for libc-bin (2.28-10+deb10u1) ...

<><> Processing actions <><><><><><><><><><><><><><><><><><><><><><><><><><><><>
-> retrieved base64.3.5.0  (cached)
-> retrieved angstrom.0.15.0  (cached)
-> retrieved astring.0.8.5  (cached)
-> retrieved bigstringaf.0.9.0  (cached)
-> retrieved bos.0.2.1  (cached)
-> retrieved cmdliner.1.1.1  (cached)
-> retrieved cppo.1.6.9  (cached)
-> retrieved csexp.1.5.1  (cached)
-> retrieved domain-name.0.4.0  (cached)
-> retrieved dune.3.4.1  (cached)
-> installed conf-pkg-config.2
-> retrieved dune-configurator.3.4.1  (cached)
-> retrieved emile.1.1  (cached)
-> retrieved fmt.0.9.0  (cached)
-> retrieved fpath.0.7.3  (cached)
-> retrieved ipaddr.5.3.1  (cached)
-> installed cmdliner.1.1.1
-> retrieved logs.0.7.0  (cached)
-> retrieved lwt.5.6.1  (cached)
-> retrieved macaddr.5.3.1  (cached)
-> retrieved functoria.4.2.1  (no changes)
-> retrieved mirage.4.2.1  (no changes)
-> retrieved ocaml-syntax-shims.1.0.0  (cached)
-> retrieved ocamlbuild.0.14.1  (cached)
-> retrieved functoria-runtime.4.2.1  (no changes)
-> retrieved ocamlfind.1.9.5  (cached)
-> retrieved ocplib-endian.1.2  (cached)
-> retrieved pecu.0.6  (cached)
-> retrieved result.1.5  (cached)
-> retrieved rresult.0.7.0  (cached)
-> retrieved stringext.1.6.0  (cached)
-> retrieved topkg.1.0.5  (cached)
-> retrieved uri.4.2.0  (cached)
-> retrieved uutf.1.0.3  (cached)
-> retrieved mirage-runtime.4.2.1  (no changes)
-> retrieved opam-monorepo.0.3.3  (cached)
-> installed ocamlfind.1.9.5
-> installed base-bytes.base
-> installed ocamlbuild.0.14.1
-> installed topkg.1.0.5
-> installed rresult.0.7.0
-> installed uutf.1.0.3
-> installed fmt.0.9.0
-> installed astring.0.8.5
-> installed fpath.0.7.3
-> installed dune.3.4.1
-> installed base64.3.5.0
-> installed bigstringaf.0.9.0
-> installed csexp.1.5.1
-> installed domain-name.0.4.0
-> installed macaddr.5.3.1
-> installed pecu.0.6
-> installed result.1.5
-> installed stringext.1.6.0
-> installed ocaml-syntax-shims.1.0.0
-> installed cppo.1.6.9
-> installed functoria-runtime.4.2.1
-> installed ipaddr.5.3.1
-> installed angstrom.0.15.0
-> installed ocplib-endian.1.2
-> installed emile.1.1
-> installed dune-configurator.3.4.1
-> installed uri.4.2.0
-> installed lwt.5.6.1
-> installed logs.0.7.0
-> installed mirage-runtime.4.2.1
-> installed bos.0.2.1
-> installed functoria.4.2.1
-> installed opam-monorepo.0.3.3
-> installed mirage.4.2.1
Done.
# Run eval $(opam env) to update the current shell environment
2022-09-26 12:40.40 ---> saved as "f5f8a2e32652f73688451f243223343b2c805fffccdc9d219e723cd6a5d0167b"

/home/opam: (copy (src .) (dst /src/))
2022-09-26 12:40.41 ---> saved as "c1287724a1d60ac28d215d121fbce7dcd805f62150d0dbe1bef3c59033759e87"

/home/opam: (env MODE xen)

/home/opam: (workdir /src/)

/src/: (run (shell "opam exec -- make configure"))
mirage configure -f tutorial/noop/config.ml -t xen 
mirage configure -f tutorial/noop-functor/config.ml -t xen 
mirage configure -f tutorial/hello/config.ml -t xen 
mirage configure -f tutorial/hello-key/config.ml -t xen 
mirage configure -f tutorial/lwt/echo_server/config.ml -t xen 
mirage configure -f tutorial/lwt/heads1/config.ml -t xen 
mirage configure -f tutorial/lwt/heads2/config.ml -t xen 
mirage configure -f tutorial/lwt/timeout1/config.ml -t xen 
mirage configure -f tutorial/lwt/timeout2/config.ml -t xen 
mirage configure -f tutorial/app_info/config.ml -t xen 
mirage configure -f device-usage/clock/config.ml -t xen 
mirage configure -f device-usage/conduit_server/config.ml -t xen 
mirage configure -f device-usage/console/config.ml -t xen 
mirage configure -f device-usage/http-fetch/config.ml -t xen 
mirage configure -f device-usage/kv_ro/config.ml -t xen 
mirage configure -f device-usage/network/config.ml -t xen 
mirage configure -f device-usage/ping6/config.ml -t xen 
mirage configure -f device-usage/prng/config.ml -t xen 
mirage configure -f applications/docteur/config.ml -t xen 
mirage configure -f applications/dhcp/config.ml -t xen 
mirage configure -f applications/git/config.ml -t xen 
mirage configure -f applications/dns/config.ml -t xen 
mirage configure -f applications/crypto/config.ml -t xen 
mirage configure -f applications/static_website_tls/config.ml -t xen 
mirage configure -f device-usage/block/config.ml -t xen 
2022-09-26 12:40.59 ---> saved as "09c7557f0f448712f11435314cd7ebfe6c2840403fc0045edda5d9a6cd3022c9"

/src/: (env MIRAGE_EXTRA_REPOS opam-overlays:https://github.com/dune-universe/opam-overlays.git#c8f6ef0fc5272f254df4a971a47de7848cc1c8a4,mirage-opam-overlays:https://github.com/dune-universe/mirage-opam-overlays.git#05f1c1823d891ce4d8adab91f5db3ac51d86dc0b)

/src/: (run (network host)
            (shell "opam exec -- make lock"))
[opam-overlays] Initialised
[NOTE] Repository opam-overlays has been added to the selections of switch 4.13 only.
       Run `opam repository add opam-overlays --all-switches|--set-default' to use it in all existing switches, or in newly created switches, respectively.

[mirage-opam-overlays] Initialised
[NOTE] Repository mirage-opam-overlays has been added to the selections of switch 4.13 only.
       Run `opam repository add mirage-opam-overlays --all-switches|--set-default' to use it in all existing switches, or in newly created switches, respectively.

env OPAMVAR_monorepo="opam-monorepo" opam monorepo lock --recurse-opam noop-xen noop-functor-xen hello-xen hello-key-xen echo_server-xen heads1-xen heads2-xen timeout1-xen timeout2-xen echo_server-xen app-info-xen speaking_clock-xen conduit_server-xen console-xen http-fetch-xen kv_ro-xen network-xen ping-xen prng-xen static_kv_ro-xen dhcp-xen minigit-xen resolve-xen crypto-test-xen https-xen block_test-xen --build-only --ocaml-version 4.13.1 -l ./mirage.opam.locked
==> Using 25 locally scanned packages as the targets.
opam-monorepo: [ERROR] Can't find all required versions.
Selected: angstrom.0.15.0 app-info-xen.zdev arp.3.0.0 asn1-combinators.0.2.6
          astring.0.8.5+dune awa.0.1.1 awa-mirage.0.1.1 base.v0.15.0
          base-bigarray.base base-bytes.base base-threads.base base-unix.base
          base64.3.5.0 bheap.2.0.0 bigstringaf.0.9.0 block_test-xen.zdev
          bos.0.2.1+dune ca-certs.0.2.3 ca-certs-nss.3.83 carton.0.4.4
          carton-git.0.4.4 carton-lwt.0.4.4 charrua.1.5.0
          charrua-server.1.5.0 checkseum.0.3.4 cmdliner.1.1.1+dune
          cohttp.5.0.0 cohttp-lwt.5.0.0 cohttp-mirage.5.0.0 conduit.5.1.1
          conduit-lwt.5.1.1 conduit-mirage.5.1.1 conduit_server-xen.zdev
          conf-gmp.4 conf-gmp-powm-sec.3 conf-m4.1 conf-pkg-config.2
          console-xen.zdev cppo.1.6.9 crunch.3.3.1 crypto-test-xen.zdev
          csexp.1.5.1 cstruct.6.1.1 cstruct-lwt.6.1.1 cstruct-sexp.6.1.1
          cstruct-unix.6.1.1 decompress.1.5.1 dhcp-xen.zdev digestif.1.1.2
          dns.6.3.0 dns-client.6.3.0 domain-name.0.4.0 duff.0.5 dune.3.4.1
          dune-build-info.3.4.1 dune-configurator.3.4.1 duration.0.2.0
          echo_server-xen.zdev emile.1.1 encore.0.8 eqaf.0.9 ethernet.3.0.0
          faraday.0.8.1 findlib.1.8.1+dune fmt.0.9.0+dune fpath.0.7.3+dune
          git.3.9.1 git-mirage.3.9.1 git-paf.3.9.1 gmap.0.3.0 gmp.6.2.1-3
          h2.0.9.0 happy-eyeballs.0.3.0 happy-eyeballs-mirage.0.3.0
          heads1-xen.zdev heads2-xen.zdev hello-key-xen.zdev hello-xen.zdev
          hex.1.5.0 hkdf.1.0.4 hpack.0.9.0 http-fetch-xen.zdev httpaf.0.7.1
          https-xen.zdev hxd.0.3.2 io-page.3.0.0 ipaddr.5.3.1
          ipaddr-sexp.5.3.1 jsonm.1.0.1+dune ke.0.6 kv_ro-xen.zdev
          logs.0.7.0+dune2 lru.0.3.0 lwt.5.6.1 lwt-dllist.1.0.1 macaddr.5.3.1
          macaddr-cstruct.5.3.1 macaddr-sexp.5.3.1 magic-mime.1.2.0
          menhir.20220210 menhirLib.20220210 menhirSdk.20220210 metrics.0.4.0
          mimic.0.0.5 mimic-happy-eyeballs.0.0.5 minigit-xen.zdev
          mirage-block.3.0.1 mirage-block-xen.2.1.1 mirage-bootvar-xen.0.8.0
          mirage-channel.4.1.0 mirage-clock.4.2.0 mirage-clock-solo5.4.2.0
          mirage-console.5.1.0 mirage-console-xen.5.1.0
          mirage-console-xen-proto.5.1.0 mirage-crypto.0.10.7
          mirage-crypto-ec.0.10.7 mirage-crypto-pk.0.10.7
          mirage-crypto-rng.0.10.7 mirage-crypto-rng-mirage.0.10.7
          mirage-flow.3.0.0 mirage-flow-combinators.3.0.0 mirage-kv.5.0.0
          mirage-logs.1.2.0 mirage-net.4.0.0 mirage-net-xen.2.1.1
          mirage-no-solo5.1 mirage-profile.0.9.1 mirage-random.3.0.0
          mirage-time.3.0.0 mirage-xen.8.0.0 mtime.1.4.0+dune2
          netchannel.2.1.1 network-xen.zdev noop-functor-xen.zdev
          noop-xen.zdev num.1.4+dune2 ocaml-base-compiler.4.13.1
          ocaml-compiler-libs.v0.12.4 ocaml-config.3 ocaml-options-vanilla.1
          ocaml-syntax-shims.1.0.0 ocamlfind.1.8.1+dune ocamlgraph.2.0.0
          ocplib-endian.1.2 optint.0.2.0 paf.0.1.0 parse-argv.0.2.0
          parsexp.v0.15.0 pbkdf.1.2.0 pecu.0.6 ping-xen.zdev
          ppx_cstruct.6.1.1 ppx_derivers.1.2.1 ppx_sexp_conv.v0.15.1
          ppxlib.0.27.0 prng-xen.zdev psq.0.2.0 ptime.1.0.0+dune2
          randomconv.0.1.3 re.1.10.4 resolve-xen.zdev result.1.5
          rresult.0.7.0+dune seq.base+dune sexplib.v0.15.1 sexplib0.v0.15.1
          shared-memory-ring.3.1.1 shared-memory-ring-lwt.3.1.1
          speaking_clock-xen.zdev static_kv_ro-xen.zdev stdlib-shims.0.3.0
          stringext.1.6.0 tcpip.7.1.2 timeout1-xen.zdev timeout2-xen.zdev
          tls.0.15.3 tls-mirage.0.15.3 uri.4.2.0 uri-sexp.4.2.0
          uutf.1.0.3+dune vchan.6.0.1 x509.0.16.1 xenstore.2.2.0
          xenstore_transport.1.3.0 zarith.1.12+dune+mirage1
          ocaml-base-compiler&app-info-xen&block_test-xen&conduit_server-xen&console-xen&crypto-test-xen&dhcp-xen&echo_server-xen&heads1-xen&heads2-xen&hello-key-xen&hello-xen&http-fetch-xen&https-xen&kv_ro-xen&minigit-xen&network-xen&noop-functor-xen&noop-xen&ping-xen&prng-xen&resolve-xen&speaking_clock-xen&static_kv_ro-xen&timeout1-xen&timeout2-xen
          ocaml-base-compiler ocaml ocaml-base-compiler ocaml-variants gmp
          mirage-no-solo5&mirage-no-xen
- docteur-solo5 -> (problem)
    Rejected candidates:
      docteur-solo5.0.0.5: Requires mirage-kv >= 3.0.1 & < 5.0.0
      docteur-solo5.0.0.4: Requires mirage-kv >= 3.0.1 & < 5.0.0
      docteur-solo5.0.0.3: Requires mirage-kv >= 3.0.1 & < 5.0.0
      docteur-solo5.0.0.2: Requires mirage-kv >= 3.0.1 & < 5.0.0
- mirage-kv-mem -> (problem)
    https-xen zdev requires >= 3.0.0 & < 4.0.0
    Rejected candidates:
      mirage-kv-mem.3.0.0: Requires mirage-kv >= 3.0.0 & < 5.0.0
      mirage-kv-mem.2.0.0: Incompatible with restriction: >= 3.0.0 & < 4.0.0
- mirage-no-xen -> (problem)
    Rejected candidates:
      mirage-no-xen.1: Requires mirage-xen conflict with all versions
- mirage-runtime -> (problem)
    app-info-xen zdev requires >= 4.3.0 & < 4.4.0
    Rejected candidates:
      mirage-runtime.4.2.1: Incompatible with restriction: >= 4.3.0 & < 4.4.0
- ocaml -> ocaml.4.13.1
    User requested = 4.13.1
- ocaml-variants -> (problem)
    Rejected candidates:
      ocaml-variants.5.1.0+trunk: In same conflict class (ocaml-core-compiler) as ocaml-base-compiler
      ocaml-variants.5.0.0+trunk: In same conflict class (ocaml-core-compiler) as ocaml-base-compiler
      ocaml-variants.5.0.0~alpha1+options: In same conflict class (ocaml-core-compiler) as ocaml-base-compiler
      ocaml-variants.5.0.0~alpha0+options: In same conflict class (ocaml-core-compiler) as ocaml-base-compiler
      ocaml-variants.4.14.1+trunk: In same conflict class (ocaml-core-compiler) as ocaml-base-compiler
      ...
make: *** [Makefile:67: lock] Error 1
"/bin/bash" "-c" "opam exec -- make lock" failed with exit status 2

2022-09-26 12:41.58: Job failed: Failed: Build failed